import request from '@/utils/request'

// 查询订单操作记录列表
export function listStoreOrderStatus(query) {
  return request({
    url: '/store/store/storeOrderStatus/list',
    method: 'get',
    params: query
  })
}

// 查询订单操作记录详细
export function getStoreOrderStatus(id) {
  return request({
    url: '/store/store/storeOrderStatus/' + id,
    method: 'get'
  })
}

// 新增订单操作记录
export function addStoreOrderStatus(data) {
  return request({
    url: '/store/store/storeOrderStatus',
    method: 'post',
    data: data
  })
}

// 修改订单操作记录
export function updateStoreOrderStatus(data) {
  return request({
    url: '/store/store/storeOrderStatus',
    method: 'put',
    data: data
  })
}

// 删除订单操作记录
export function delStoreOrderStatus(id) {
  return request({
    url: '/store/store/storeOrderStatus/' + id,
    method: 'delete'
  })
}

// 导出订单操作记录
export function exportStoreOrderStatus(query) {
  return request({
    url: '/store/store/storeOrderStatus/export',
    method: 'get',
    params: query
  })
}
